/*
 
//This file is licensed under the terms of the CC-LGPL
 
 CL_rlp_elastic_routines.pov
 
*/


  ////
 //   example   //
//_____________//    
#global_settings{charset utf8 assumed_gamma 1.0}
//
#include "colors.inc"
#include "chars.inc"
#include "rlp.inc"
#include "CL_rlp_capital_letters_160714.inc" 
//************************************|*******************|*******************|*******************|*******************|*******************|*******************|
CL_rlp_make_text_string_set(1)
// 
// Rendered string starts at <0,0,z1>  to <0,0,z2> for bottom left hand corners. Height in y direction is 2.0. Goes to z1 to z2 in z direction
// Renders to CL_string_width in the x direction.
// Typeset the string to a declared object   
//
#declare letter_dimensions = array[4]{0,0,0,0}; // Don't comment out
#declare icase = 5; // Change to 1, 2, 3, 4, 5 
//
//*******************************************************************************************************************
// Elastic delimiters
//*******************************************************************************************************************
#if(icase=1)
  #declare bheight = 5.9; // Set from 2,4 to 5.9 (to fit on this page)
//
  #declare text_string = object{CL_rlp_elastic_math_round_left_bracket(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,bheight,letter_dimensions) 
         pigment{rgb 1} finish{ambient 0 specular 1}}      
  object{text_string translate <-letter_dimensions[0]-2.9,0,0>}
  #declare text_string = object{CL_rlp_elastic_math_curly_left_bracket(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,bheight,letter_dimensions) 
         pigment{rgb 1} finish{ambient 0 specular 1}}      
  object{text_string translate <-letter_dimensions[0]-1.9,0,0>}
  #declare text_string = object{CL_rlp_elastic_math_square_left_bracket(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,bheight,letter_dimensions) 
         pigment{rgb 1} finish{ambient 0 specular 1}}      
  object{text_string translate <-letter_dimensions[0]-1.2,0,0>}
  #declare text_string = object{CL_rlp_elastic_langle(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,bheight,letter_dimensions) 
         pigment{rgb 1} finish{ambient 0 specular 1}}      
  object{text_string translate <-letter_dimensions[0]-0.2,0,0>}
  #declare text_string = object{CL_rlp_elastic_vertical(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,bheight,letter_dimensions) 
         pigment{rgb 1} finish{ambient 0 specular 1}}      
  object{text_string translate <-letter_dimensions[0]+0.3,0,0>}
//
  #declare text_string = object{CL_rlp_vertical(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,letter_dimensions) 
         pigment{rgb 1} finish{ambient 0 specular 1}}      
  object{text_string translate <-letter_dimensions[0]/2+0.6,0,0>}
  #declare text_string = object{CL_rlp_rangle(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,letter_dimensions) 
         pigment{rgb 1} finish{ambient 0 specular 1}}      
  object{text_string translate <-letter_dimensions[0]/2+1.3,0,0>}
  #declare text_string = object{CL_rlp_math_square_right_bracket(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,letter_dimensions) 
         pigment{rgb 1} finish{ambient 0 specular 1}}      
  object{text_string translate <-letter_dimensions[0]/2+2.0,0,0>}
  #declare text_string = object{CL_rlp_math_curly_right_bracket(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,letter_dimensions) 
         pigment{rgb 1} finish{ambient 0 specular 1}}      
  object{text_string translate <-letter_dimensions[0]+3.0,0,0>}
  #declare text_string = object{CL_rlp_math_round_right_bracket(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,letter_dimensions) 
         pigment{rgb 1} finish{ambient 0 specular 1}}      
  object{text_string translate <-letter_dimensions[0]+3.7,0,0>}
#end
//*******************************************************************************************************************
// Elastic square root sign
//*******************************************************************************************************************
#if(icase=2)
  #declare text_string = object{CL_rlp_surd(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,letter_dimensions) 
         pigment{rgb 1} finish{ambient 0 specular 1}}      
  object{text_string translate <-letter_dimensions[0]/2-3.3,0,0>}
//
  #declare CL_inner_size = array[4]{4.5,3.5,0.2,1.5}; // {Width of inclusion, hieght above, drop below,space around}
  #declare CL_super      = 3;                    // 0 for nothing. 3 or 4 are catered for
//
  #declare text_string = object{CL_rlp_elastic_surd(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_inner_size,CL_tiny_space,CL_super,letter_dimensions) 
         pigment{rgb 1} finish{ambient 0 specular 1}}      
  object{text_string translate <-2.5,0,0>}
#end
//*******************************************************************************************************************
// Integral sizes
//*******************************************************************************************************************
#if(icase = 3)  
#declare oint = 0;
#declare text_string = object{CL_rlp_Integral(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,oint,letter_dimensions) 
       pigment{rgb 1} finish{ambient 0 specular 1}}      
object{text_string translate <-2.5-letter_dimensions[0]/2,0,0>}
#declare text_string = object{CL_rlp_bigIntegral(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,oint,letter_dimensions) 
       pigment{rgb 1} finish{ambient 0 specular 1}}      
object{text_string translate <-letter_dimensions[0]/2,0,0>}
#declare text_string = object{CL_rlp_BigIntegral(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,oint,letter_dimensions) 
       pigment{rgb 1} finish{ambient 0 specular 1}}      
object{text_string translate <2.5-letter_dimensions[0]/2,0,0>}
#end
//******************************************************************************************************************
// Sizes of Pi
//******************************************************************************************************************
#if(icase = 4)
#declare text_string = object{CL_rlp_Pi(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,letter_dimensions) 
       pigment{rgb 1} finish{ambient 0 specular 1}}      
object{text_string translate <-letter_dimensions[0]/2-3.0,0,0>}
#declare text_string = object{CL_rlp_bigPi(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,letter_dimensions) 
       pigment{rgb 1} finish{ambient 0 specular 1}}      
object{text_string translate <-letter_dimensions[0]/2-0.8,0,0>}
#declare text_string = object{CL_rlp_BigPi(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,letter_dimensions) 
       pigment{rgb 1} finish{ambient 0 specular 1}}      
object{text_string translate <-letter_dimensions[0]/2+2.1,0,0>}
#end
//******************************************************************************************************************
// Sizes of Sigma
//******************************************************************************************************************
#if(icase = 5)
  #declare text_string = object{CL_rlp_Sigma(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,letter_dimensions) 
         pigment{rgb 1} finish{ambient 0 specular 1}}      
  object{text_string translate <-letter_dimensions[0]/2-3.0,0,0>}
  #declare text_string = object{CL_rlp_bigSigma(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,letter_dimensions) 
         pigment{rgb 1} finish{ambient 0 specular 1}}      
  object{text_string translate <-letter_dimensions[0]/2-0.9,0,0>}
  #declare text_string = object{CL_rlp_BigSigma(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,letter_dimensions) 
         pigment{rgb 1} finish{ambient 0 specular 1}}      
  object{text_string translate <-letter_dimensions[0]/2+2.1,0,0>}
#end
//
  ////
 //  end example  //
//_______________//


light_source{<0,20,-25>, 4 fade_power 2 fade_distance 10
  #if(0)
    area_light x*2,y*2,8,8
    jitter adaptive 2
    area_illumination
  #end
            }

camera{orthographic
  location<0,1,-30.2>
  look_at <0,1,0>
  angle 15 
      }

