/*
 
 //This file is licensed under the terms of the CC-LGPL
 
 CL_rlp_sumprod_test.pov
 
 Here's a demonstration of how you might make sum and product objects with the CL macros.
 
*/
  ////
 //   example   //
//_____________//
global_settings{charset utf8 assumed_gamma 1.0}   // Remove this and get s for spaces, i.e. DON'T remove this.
//
#include "colors.inc"
#include "chars.inc"
#include "rlp.inc"    // Sam Benge's rounded linear prism #macros, available from the Object Collection.
#include "CL_rlp_capital_letters_160714.inc" 
// Define the string to be typeset
CL_rlp_make_text_string_set(3) // Defines CL_default_space,CL_small_space,CL_math_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,
//                                        CL_font_type,CL_dimensions_out as globals
// Sums
// Make the complete fraction object
#declare fraction_object        =  object{CL_rlp_make_text_fraction(CL_tiny_space,CL_letter_adjust,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                    "#1","#n^2",CL_medium_space,CL_dimensions_out)}
#declare right_dimensions       =  CL_dimensions_out; 
//
// Make and display the displayed sum object
#declare sumprod_object = object{CL_rlp_make_sumprod(CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                 fraction_object,"","#n=1","#N",CL_medium_space,1,0,right_dimensions,CL_dimensions_out)} 
object{sumprod_object translate <6-CL_dimensions_out[0]/2,6,0> pigment{rgb 1} finish{ambient 0 specular 1}}      
//
// Make and display the inline sum object
#declare sumprod_object = object{CL_rlp_make_sumprod(CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                 0,"#1/n^2","#n=1","#N",CL_medium_space,0,0,right_dimensions,CL_dimensions_out)} 
object{sumprod_object translate <-6-CL_dimensions_out[0]/2,6,0> pigment{rgb 1} finish{ambient 0 specular 1}}      
//
// Now the products
// Make the complete fraction object
#declare fraction_object        =  object{CL_rlp_make_text_fraction(CL_tiny_space,CL_letter_adjust,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                    "#4n^2","#4n^2 - 1",CL_medium_space,CL_dimensions_out)}
#declare right_dimensions       =  CL_dimensions_out; 
//
// Make and display the displayed product object
#declare sumprod_object = object{CL_rlp_make_sumprod(CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                 fraction_object,"","#n=1","#|8",CL_medium_space,1,1,right_dimensions,CL_dimensions_out)} 
object{sumprod_object translate <-CL_dimensions_out[0]/2,-2,0> pigment{rgb 1} finish{ambient 0 specular 1}}      
//
// Make and display the inline sum object
#declare sumprod_object = object{CL_rlp_make_sumprod(CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                 0,"#4n^2/(4n^2 - 1)","#n=1","#|8",CL_medium_space,0,1,right_dimensions,CL_dimensions_out)} 
object{sumprod_object translate <-CL_dimensions_out[0]/2,-9,0> pigment{rgb 1} finish{ambient 0 specular 1}}  



  ////
 //  end example  //
//_______________//
light_source{<0,20,-25>, 4 fade_power 2 fade_distance 10
  #if(0)
    area_light x*2,y*2,8,8
    jitter adaptive 2
    area_illumination
  #end
            }

camera{orthographic location<0,0,-120> look_at <0,0,0> angle 15}

//camera{orthographic
//  location<18,2,-15>
//  look_at <18,1,0>
//  angle 15 
//}
